uk.gov.hmrc.mongo.test

# DefaultMongoCollectionSupport

###
Related Doc: package test

#### trait DefaultMongoCollectionSupport extends CleanMongoCollectionSupport with IndexedMongoQueriesSupport

Self Type
  DefaultMongoCollectionSupport with TestSuite

Linear Supertypes
IndexedMongoQueriesSupport, BeforeAndAfterAll, CleanMongoCollectionSupport, BeforeAndAfterEach, SuiteMixin, MongoCollectionSupport, MongoSupport, ScalaFutures, Futures, PatienceConfiguration, AbstractPatienceConfiguration, ScaledTimeSpans, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. DefaultMongoCollectionSupport
2. IndexedMongoQueriesSupport
3. BeforeAndAfterAll
4. CleanMongoCollectionSupport
5. BeforeAndAfterEach
6. SuiteMixin
7. MongoCollectionSupport
8. MongoSupport
9. ScalaFutures
10. Futures
11. PatienceConfiguration
12. AbstractPatienceConfiguration
13. ScaledTimeSpans
14. AnyRef
15. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1. #### trait FutureConcept[T] extends AnyRef

   Definition Classes
     Futures

2. #### final case class PatienceConfig extends Product with Serializable

   Definition Classes
     AbstractPatienceConfiguration

### Abstract Value Members

1. #### abstract def collectionName: String

   Attributes
     protected
   Definition Classes
     MongoCollectionSupport

2. #### abstract def expectedTestCount(filter: Filter): Int

   Definition Classes
     SuiteMixin

3. #### abstract def indexes: Seq[IndexModel]

   Attributes
     protected
   Definition Classes
     MongoCollectionSupport

4. #### abstract def nestedSuites: IndexedSeq[Suite]

   Definition Classes
     SuiteMixin

5. #### abstract def optSchema: Option[BsonDocument]

   Attributes
     protected
   Definition Classes
     MongoCollectionSupport

6. #### abstract def rerunner: Option[String]

   Definition Classes
     SuiteMixin

7. #### abstract def runNestedSuites(args: Args): Status

   Attributes
     protected
   Definition Classes
     SuiteMixin

8. #### abstract def runTests(testName: Option[String], args: Args): Status

   Attributes
     protected
   Definition Classes
     SuiteMixin

9. #### abstract def suiteId: String

   Definition Classes
     SuiteMixin

10. #### abstract def suiteName: String

    Definition Classes
      SuiteMixin

11. #### abstract def tags: Map[String, Set[String]]

    Definition Classes
      SuiteMixin

12. #### abstract def testDataFor(testName: String, theConfigMap: ConfigMap): TestData

    Definition Classes
      SuiteMixin

13. #### abstract def testNames: Set[String]

    Definition Classes
      SuiteMixin

14. #### abstract val styleName: String

    Definition Classes
      SuiteMixin
    Annotations
      @deprecated
    Deprecated

      (Since version 3.1.0) The styleName lifecycle method has been deprecated and will be removed in a future version of ScalaTest with no replacement.

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def afterAll(): Unit

   Attributes
     protected
   Definition Classes
     IndexedMongoQueriesSupport → BeforeAndAfterAll

5. #### def afterEach(): Unit

   Attributes
     protected
   Definition Classes
     BeforeAndAfterEach

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def beforeAll(): Unit

   Attributes
     protected
   Definition Classes
     IndexedMongoQueriesSupport → BeforeAndAfterAll

8. #### def beforeEach(): Unit

   Attributes
     protected
   Definition Classes
     CleanMongoCollectionSupport → BeforeAndAfterEach

9. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

10. #### implicit def convertScalaFuture[T](scalaFuture: Future[T]): (DefaultMongoCollectionSupport.this)#FutureConcept[T]

    Definition Classes
      ScalaFutures

11. #### def count(): Future[Long]

    Attributes
      protected
    Definition Classes
      MongoCollectionSupport

12. #### def createCollection(): Unit

    Attributes
      protected
    Definition Classes
      MongoCollectionSupport

13. #### val databaseName: String

    Attributes
      protected
    Definition Classes
      MongoSupport

14. #### def dropCollection(): Unit

    Attributes
      protected
    Definition Classes
      MongoCollectionSupport

15. #### def dropDatabase(): Unit

    Attributes
      protected
    Definition Classes
      MongoSupport

16. #### def ensureIndexes(): Seq[String]

    Attributes
      protected
    Definition Classes
      MongoCollectionSupport

17. #### def ensureSchemas(): Unit

    Attributes
      protected
    Definition Classes
      MongoCollectionSupport

18. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

19. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

20. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

21. #### def find(filter: Bson): Future[Seq[Document]]

    Attributes
      protected
    Definition Classes
      MongoCollectionSupport

22. #### def findAll(): Future[Seq[Document]]

    Attributes
      protected
    Definition Classes
      MongoCollectionSupport

23. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

24. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

25. #### def insert[T](document: Document): Future[Completed]

    Attributes
      protected
    Definition Classes
      MongoCollectionSupport

26. #### def interval(value: Span): Interval

    Definition Classes
      PatienceConfiguration

27. #### val invokeBeforeAllAndAfterAllEvenIfNoTestsAreExpected: Boolean

    Definition Classes
      BeforeAndAfterAll

28. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

29. #### lazy val mongoClient: MongoClient

    Attributes
      protected
    Definition Classes
      MongoSupport

30. #### lazy val mongoCollection: MongoCollection[Document]

    Attributes
      protected
    Definition Classes
      MongoCollectionSupport

31. #### lazy val mongoComponent: MongoComponent

    Attributes
      protected
    Definition Classes
      MongoSupport

32. #### lazy val mongoDatabase: MongoDatabase

    Attributes
      protected
    Definition Classes
      MongoSupport

33. #### val mongoUri: String

    Attributes
      protected
    Definition Classes
      MongoSupport

34. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

35. #### final def notify(): Unit

    Definition Classes
      AnyRef

36. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

37. #### implicit val patienceConfig: (DefaultMongoCollectionSupport.this)#PatienceConfig

    Definition Classes
      DefaultMongoCollectionSupport → PatienceConfiguration → AbstractPatienceConfiguration

38. #### def prepareDatabase(): Unit

    Attributes
      protected
    Definition Classes
      MongoCollectionSupport → MongoSupport

39. #### def run(testName: Option[String], args: Args): Status

    Definition Classes
      BeforeAndAfterAll → SuiteMixin

40. #### def runTest(testName: String, args: Args): Status

    Attributes
      protected
    Definition Classes
      BeforeAndAfterEach → SuiteMixin

41. #### final def scaled(span: Span): Span

    Definition Classes
      ScaledTimeSpans

42. #### def spanScaleFactor: Double

    Definition Classes
      ScaledTimeSpans

43. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

44. #### lazy val throttleConfig: ThrottleConfig

    Attributes
      protected
    Definition Classes
      MongoSupport

45. #### def timeout(value: Span): Timeout

    Definition Classes
      PatienceConfiguration

46. #### def toString(): String

    Definition Classes
      AnyRef → Any

47. #### def updateIndexPreference(onlyAllowIndexedQuery: Boolean): Future[Boolean]

    Attributes
      protected
    Definition Classes
      MongoSupport

48. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

49. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

50. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

51. #### final def whenReady[T, U](future: (DefaultMongoCollectionSupport.this)#FutureConcept[T])(fun: (T) ⇒ U)(implicit config: (DefaultMongoCollectionSupport.this)#PatienceConfig, pos: Position): U

    Definition Classes
      Futures

52. #### final def whenReady[T, U](future: (DefaultMongoCollectionSupport.this)#FutureConcept[T], interval: Interval)(fun: (T) ⇒ U)(implicit config: (DefaultMongoCollectionSupport.this)#PatienceConfig, pos: Position): U

    Definition Classes
      Futures

53. #### final def whenReady[T, U](future: (DefaultMongoCollectionSupport.this)#FutureConcept[T], timeout: Timeout)(fun: (T) ⇒ U)(implicit config: (DefaultMongoCollectionSupport.this)#PatienceConfig, pos: Position): U

    Definition Classes
      Futures

54. #### final def whenReady[T, U](future: (DefaultMongoCollectionSupport.this)#FutureConcept[T], timeout: Timeout, interval: Interval)(fun: (T) ⇒ U)(implicit config: (DefaultMongoCollectionSupport.this)#PatienceConfig, pos: Position): U

    Definition Classes
      Futures

### Inherited from IndexedMongoQueriesSupport

### Inherited from BeforeAndAfterAll

### Inherited from CleanMongoCollectionSupport

### Inherited from BeforeAndAfterEach

### Inherited from SuiteMixin

### Inherited from MongoCollectionSupport

### Inherited from MongoSupport

### Inherited from ScalaFutures

### Inherited from Futures

### Inherited from PatienceConfiguration

### Inherited from AbstractPatienceConfiguration

### Inherited from ScaledTimeSpans

### Inherited from AnyRef

### Inherited from Any

### Ungrouped